Create plan alert
This endpoint is used to create alerts at the plan level. Plan level alerts are automatically propagated to all subscriptions associated with the plan. These alerts are scoped to a specific plan version; if no version is specified, the active plan version is used.
Plan level alerts can be of three types: usage_exceeded, cost_exceeded, or spend_exceeded. A usage_exceeded
alert is scoped to a particular metric and is triggered when the usage of that metric exceeds predefined thresholds
during the current billing cycle. A cost_exceeded alert is triggered when the total amount due during the current
billing cycle surpasses predefined thresholds. cost_exceeded alerts do not include burndown of pre-purchase credits.
A spend_exceeded alert is triggered when the rated spend (the pricing subtotal, before invoice-level adjustments
and credits) denominated in the alert’s currency exceeds predefined thresholds during the current billing cycle;
price_filters can scope which prices contribute. Each plan can have one cost_exceeded alert and one
usage_exceeded alert per metric that is a part of the plan.
Authorizations
API Keys can be issued in the Orb's web application.
Path Parameters
Body
The thresholds that define the values at which the alert will be triggered.
The type of alert to create. This must be a valid alert type.
usage_exceeded, cost_exceeded, spend_exceeded The metric to track usage for.
The plan version to create alerts for. If not specified, the default will be the plan's active plan version.
The property keys to group cost alerts by. Only applicable for cost_exceeded alerts.
The case sensitive currency or custom pricing unit the alert is denominated in. Required for spend_exceeded alerts and when grouping_keys is set.
Filters to scope which prices are included in alert evaluation. Supports filtering by price_id, item_id, or price_type with includes/excludes operators. Only applicable to spend_exceeded alerts and to cost_exceeded alerts with grouping_keys set.
Response
Created
Alerts within Orb monitor spending, usage, or credit balance and trigger webhooks when a threshold is exceeded.
Alerts created through the API can be scoped to either customers or subscriptions.
Also referred to as alert_id in this documentation.
"XuxCbt7x9L82yyeF"
The type of alert. This must be a valid alert type.
credit_balance_depleted, credit_balance_dropped, credit_balance_recovered "\"usage_exceeded\", \"cost_exceeded\", \"credit_balance_depleted\", \"credit_balance_recovered\", or \"credit_balance_dropped\""
The creation time of the resource in Orb.
Whether the alert is enabled or disabled.
The thresholds that define the conditions under which the alert will be triggered.
The customer the alert applies to.
The plan the alert applies to.
The subscription the alert applies to.
The metric the alert applies to.
The name of the currency the credit balance or invoice cost is denominated in.
The license type the alert applies to. Only present for license alerts.
The property keys to group cost alerts by. Only present for cost alerts with grouping enabled.
Filters scoping which prices are included in grouped cost alert evaluation.
Per-group threshold overrides. Each override maps a specific combination of grouping_keys values to a replacement threshold list. Only present for grouped cost alerts that have at least one override.
The current status of the alert. This field is only present for credit balance alerts.